diff -cr sendmail-8.9.0/smrsh/Build sendmail-8.9.1/smrsh/Build
*** sendmail-8.9.0/smrsh/Build	Tue May 19 16:33:54 1998
--- sendmail-8.9.1/smrsh/Build	Wed Jun 24 21:10:11 1998
***************
*** 10,16 ****
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.88 (Berkeley) 5/19/98
  #
  
  #
--- 10,16 ----
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.93 (Berkeley) 6/24/98
  #
  
  #
***************
*** 155,160 ****
--- 155,166 ----
  		rel=Mach
  		arch=luna88k
  	fi
+ elif [ -d /usr/apollo -a -d \`node_data ]
+ then
+ 	# probably a Apollo/DOMAIN
+ 	os=DomainOS
+ 	arch=$ISP
+ 	rel=`/usr/apollo/bin/bldt | grep Domain | awk '{ print $4 }' | sed -e 's/,//g'`
  fi
  
  if [ ! "$arch" -a ! "$os" -a ! "$rel" ]
***************
*** 234,239 ****
--- 240,249 ----
  			rel=`uname -v | sed -e 's/\(V.*\)L.*/\1/'`
  		fi;;
    SINIX-?)	os=SINIX;;
+   DomainOS)	case $rel in
+ 		  10.4*)	rel=10.4;;
+ 		esac
+ 		;;
  esac
  
  # get "base part" of operating system release
***************
*** 296,301 ****
--- 306,317 ----
  BUILDTOOLS=${BUILDTOOLS-$SMROOT/BuildTools}
  export SMROOT BUILDTOOLS
  
+ # see if we are in a Build-able directory
+ if [ ! -f Makefile.m4 ]; then
+ 	echo "Makefile.m4 not found.  Build can only be run from a source directory."
+ 	exit $EX_UNAVAILABLE
+ fi
+ 
  # now try to find a reasonable object directory
  if [ -r obj.$os.$rel.$arch$sfx ]; then
  	obj=obj.$os.$rel.$arch$sfx
***************
*** 436,442 ****
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig=$BUILDTOOLS/Site/site.config.m4
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
--- 452,458 ----
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig="$BUILDTOOLS/Site/site.config.m4 $siteconfig"
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
***************
*** 454,474 ****
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
--- 470,490 ----
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
***************
*** 488,504 ****
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	case $makefile
! 	in
! 	  ../Makefiles/*)
! 		makefile=`echo $makefile | sed 's/...Makefiles.//'`
! 		echo "Will run in existing $obj using $makefile"
! 		;;
! 
! 	  *)
! 		echo "Will run in existing $obj using custom $makefile"
! 		;;
! 	esac
  	exit 0
  fi
  
--- 504,510 ----
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	echo "Will run in existing $obj using $makefile"
  	exit 0
  fi
  
diff -cr sendmail-8.9.0/smrsh/Makefile.m4 sendmail-8.9.1/smrsh/Makefile.m4
*** sendmail-8.9.0/smrsh/Makefile.m4	Tue May 19 16:35:57 1998
--- sendmail-8.9.1/smrsh/Makefile.m4	Thu Jun  4 14:27:22 1998
***************
*** 1,7 ****
  #
  #  This Makefile is designed to work on the old "make" program.
  #
! #	@(#)Makefile.m4	8.10	(Berkeley)	5/13/98
  #
  
  # C compiler
--- 1,7 ----
  #
  #  This Makefile is designed to work on the old "make" program.
  #
! #	@(#)Makefile.m4	8.13	(Berkeley)	6/4/98
  #
  
  # C compiler
***************
*** 48,69 ****
  BEFORE= confBEFORE
  OBJS=	smrsh.o ${OBJADD}
  
- ALL=	smrsh smrsh.0
- 
- all: ${ALL}
- 
- smrsh: ${BEFORE} ${OBJS}
- 	${CC} -o smrsh ${LDOPTS} ${OBJS} ${LIBDIRS} ${LIBS}
- 
- undivert(3)
- 
  # Which *roff program has -mandoc support
  NROFF=	ifdef(`confNROFF', `confNROFF', `groff -Tascii')
  MANDOC=	ifdef(`confMANDOC', `confMANDOC', `-mandoc')
  
- smrsh.0: smrsh.8
- 	${NROFF} ${MANDOC} smrsh.8 > smrsh.0
- 
  INSTALL=ifdef(`confINSTALL', `confINSTALL', `install')
  BINOWN=	ifdef(`confUBINOWN', `confUBINOWN', `bin')
  BINGRP=	ifdef(`confUBINGRP', `confUBINGRP', `bin')
--- 48,57 ----
***************
*** 73,94 ****
  MANGRP=	ifdef(`confMANGRP', `confMANGRP', `bin')
  MANMODE=ifdef(`confMANMODE', `confMANMODE', `444')
  
! MANROOT=ifdef(`confMANROOT', `confMANROOT', `/usr/share/man/cat')
  MAN8=	${MANROOT}ifdef(`confMAN8', `confMAN8', `8')
  MAN8EXT=ifdef(`confMAN8EXT', `confMAN8EXT', `8')
  MAN8SRC=ifdef(`confMAN8SRC', `confMAN8SRC', `0')
  
  install: install-smrsh install-docs
  
  install-smrsh: smrsh
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} smrsh ${BINDIR}
  
! install-docs: smrsh.0
  ifdef(`confNO_MAN_INSTALL', `dnl',
  `	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} smrsh.${MAN8SRC} ${MAN8}/smrsh.${MAN8EXT}')
  
  clean:
! 	rm -f ${OBJS} smrsh smrsh.0
  
  ################  Dependency scripts
  include(confBUILDTOOLSDIR/M4/depend/ifdef(`confDEPEND_TYPE', `confDEPEND_TYPE',
--- 61,94 ----
  MANGRP=	ifdef(`confMANGRP', `confMANGRP', `bin')
  MANMODE=ifdef(`confMANMODE', `confMANMODE', `444')
  
! MANROOT=${DESTDIR}ifdef(`confMANROOT', `confMANROOT', `/usr/share/man/cat')
  MAN8=	${MANROOT}ifdef(`confMAN8', `confMAN8', `8')
  MAN8EXT=ifdef(`confMAN8EXT', `confMAN8EXT', `8')
  MAN8SRC=ifdef(`confMAN8SRC', `confMAN8SRC', `0')
  
+ ALL=	smrsh smrsh.${MAN8SRC}
+ 
+ all: ${ALL}
+ 
+ smrsh: ${BEFORE} ${OBJS}
+ 	${CC} -o smrsh ${LDOPTS} ${OBJS} ${LIBDIRS} ${LIBS}
+ 
+ undivert(3)
+ 
+ smrsh.${MAN8SRC}: smrsh.8
+ 	${NROFF} ${MANDOC} smrsh.8 > smrsh.${MAN8SRC}
+ 
  install: install-smrsh install-docs
  
  install-smrsh: smrsh
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} smrsh ${BINDIR}
  
! install-docs: smrsh.${MAN8SRC}
  ifdef(`confNO_MAN_INSTALL', `dnl',
  `	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} smrsh.${MAN8SRC} ${MAN8}/smrsh.${MAN8EXT}')
  
  clean:
! 	rm -f ${OBJS} smrsh smrsh.${MAN8SRC}
  
  ################  Dependency scripts
  include(confBUILDTOOLSDIR/M4/depend/ifdef(`confDEPEND_TYPE', `confDEPEND_TYPE',
diff -cr sendmail-8.9.0/src/Build sendmail-8.9.1/src/Build
*** sendmail-8.9.0/src/Build	Tue May 19 16:33:54 1998
--- sendmail-8.9.1/src/Build	Wed Jun 24 21:10:11 1998
***************
*** 10,16 ****
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.88 (Berkeley) 5/19/98
  #
  
  #
--- 10,16 ----
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.93 (Berkeley) 6/24/98
  #
  
  #
***************
*** 155,160 ****
--- 155,166 ----
  		rel=Mach
  		arch=luna88k
  	fi
+ elif [ -d /usr/apollo -a -d \`node_data ]
+ then
+ 	# probably a Apollo/DOMAIN
+ 	os=DomainOS
+ 	arch=$ISP
+ 	rel=`/usr/apollo/bin/bldt | grep Domain | awk '{ print $4 }' | sed -e 's/,//g'`
  fi
  
  if [ ! "$arch" -a ! "$os" -a ! "$rel" ]
***************
*** 234,239 ****
--- 240,249 ----
  			rel=`uname -v | sed -e 's/\(V.*\)L.*/\1/'`
  		fi;;
    SINIX-?)	os=SINIX;;
+   DomainOS)	case $rel in
+ 		  10.4*)	rel=10.4;;
+ 		esac
+ 		;;
  esac
  
  # get "base part" of operating system release
***************
*** 296,301 ****
--- 306,317 ----
  BUILDTOOLS=${BUILDTOOLS-$SMROOT/BuildTools}
  export SMROOT BUILDTOOLS
  
+ # see if we are in a Build-able directory
+ if [ ! -f Makefile.m4 ]; then
+ 	echo "Makefile.m4 not found.  Build can only be run from a source directory."
+ 	exit $EX_UNAVAILABLE
+ fi
+ 
  # now try to find a reasonable object directory
  if [ -r obj.$os.$rel.$arch$sfx ]; then
  	obj=obj.$os.$rel.$arch$sfx
***************
*** 436,442 ****
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig=$BUILDTOOLS/Site/site.config.m4
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
--- 452,458 ----
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig="$BUILDTOOLS/Site/site.config.m4 $siteconfig"
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
***************
*** 454,474 ****
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
--- 470,490 ----
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
***************
*** 488,504 ****
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	case $makefile
! 	in
! 	  ../Makefiles/*)
! 		makefile=`echo $makefile | sed 's/...Makefiles.//'`
! 		echo "Will run in existing $obj using $makefile"
! 		;;
! 
! 	  *)
! 		echo "Will run in existing $obj using custom $makefile"
! 		;;
! 	esac
  	exit 0
  fi
  
--- 504,510 ----
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	echo "Will run in existing $obj using $makefile"
  	exit 0
  fi
  
diff -cr sendmail-8.9.0/src/Makefile.m4 sendmail-8.9.1/src/Makefile.m4
*** sendmail-8.9.0/src/Makefile.m4	Tue May 19 16:36:11 1998
--- sendmail-8.9.1/src/Makefile.m4	Tue Jun 16 09:46:56 1998
***************
*** 2,8 ****
  #  This Makefile is designed to work on any reasonably current version of
  #  "make" program.
  #
! #	@(#)Makefile.m4	8.19 (Berkeley) 5/13/98
  #
  
  # C compiler
--- 2,8 ----
  #  This Makefile is designed to work on any reasonably current version of
  #  "make" program.
  #
! #	@(#)Makefile.m4	8.23 (Berkeley) 6/16/98
  #
  
  # C compiler
***************
*** 74,108 ****
  	safefile.o savemail.o snprintf.o srvrsmtp.o stab.o stats.o \
  	sysexits.o trace.o udb.o usersmtp.o util.o version.o ${OBJADD}
  
- ALL=	sendmail aliases.0 mailq.0 newaliases.0 sendmail.0
- 
- all: ${ALL}
- 
- sendmail: ${BEFORE} ${OBJS}
- 	${CC} -o sendmail ${LDOPTS} ${LIBDIRS} ${OBJS} ${LIBS}
- 
- undivert(3)
- 
- NROFF=	ifdef(`confNROFF', `confNROFF', `groff -Tascii')
- MANDOC=	ifdef(`confMANDOC', `confMANDOC', `-mandoc')
- 
- aliases.0: aliases.5
- 	${NROFF} ${MANDOC} aliases.5 > aliases.0
- 
- mailq.0: mailq.1
- 	${NROFF} ${MANDOC} mailq.1 > mailq.0
- 
- newaliases.0: newaliases.1
- 	${NROFF} ${MANDOC} newaliases.1 > newaliases.0
- 
- sendmail.0: sendmail.8
- 	${NROFF} ${MANDOC} sendmail.8 > sendmail.0
- 
  LINKS=	ifdef(`confLINKS', `confLINKS',
  	`${UBINDIR}/newaliases \
  	${UBINDIR}/mailq \
  	${UBINDIR}/hoststat \
  	${UBINDIR}/purgestat')
  INSTALL=ifdef(`confINSTALL', `confINSTALL', `install')
  BINOWN=	ifdef(`confSBINOWN', `confSBINOWN', `root')
  BINGRP=	ifdef(`confSBINGRP', `confSBINGRP', `kmem')
--- 74,88 ----
  	safefile.o savemail.o snprintf.o srvrsmtp.o stab.o stats.o \
  	sysexits.o trace.o udb.o usersmtp.o util.o version.o ${OBJADD}
  
  LINKS=	ifdef(`confLINKS', `confLINKS',
  	`${UBINDIR}/newaliases \
  	${UBINDIR}/mailq \
  	${UBINDIR}/hoststat \
  	${UBINDIR}/purgestat')
+ 
+ NROFF=	ifdef(`confNROFF', `confNROFF', `groff -Tascii')
+ MANDOC=	ifdef(`confMANDOC', `confMANDOC', `-mandoc')
+ 
  INSTALL=ifdef(`confINSTALL', `confINSTALL', `install')
  BINOWN=	ifdef(`confSBINOWN', `confSBINOWN', `root')
  BINGRP=	ifdef(`confSBINGRP', `confSBINGRP', `kmem')
***************
*** 112,118 ****
  MANGRP=	ifdef(`confMANGRP', `confMANGRP', `bin')
  MANMODE=ifdef(`confMANMODE', `confMANMODE', `444')
  
! MANROOT=ifdef(`confMANROOT', `confMANROOT', `/usr/share/man/cat')
  MAN1=	${MANROOT}ifdef(`confMAN1', `confMAN1', `1')
  MAN1EXT=ifdef(`confMAN1EXT', `confMAN1EXT', `1')
  MAN1SRC=ifdef(`confMAN1SRC', `confMAN1SRC', `0')
--- 92,98 ----
  MANGRP=	ifdef(`confMANGRP', `confMANGRP', `bin')
  MANMODE=ifdef(`confMANMODE', `confMANMODE', `444')
  
! MANROOT=${DESTDIR}ifdef(`confMANROOT', `confMANROOT', `/usr/share/man/cat')
  MAN1=	${MANROOT}ifdef(`confMAN1', `confMAN1', `1')
  MAN1EXT=ifdef(`confMAN1EXT', `confMAN1EXT', `1')
  MAN1SRC=ifdef(`confMAN1SRC', `confMAN1SRC', `0')
***************
*** 123,139 ****
  MAN8EXT=ifdef(`confMAN8EXT', `confMAN8EXT', `8')
  MAN8SRC=ifdef(`confMAN8SRC', `confMAN8SRC', `0')
  
  install: install-sendmail install-docs
  
  install-sendmail: sendmail
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} sendmail ${BINDIR}
  	for i in ${LINKS}; do rm -f $$i; ln -s ${BINDIR}/sendmail $$i; done
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 444 sendmail.hf ${HFDIR}
- 	cp /dev/null sendmail.st
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 644 sendmail.st \
  	    ${STDIR}/sendmail.st
  
! install-docs: aliases.0 mailq.0 newaliases.0 sendmail.0
  ifdef(`confNO_MAN_INSTALL', `dnl',
  `	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} sendmail.${MAN8SRC} ${MAN8}/sendmail.${MAN8EXT}
  	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} aliases.${MAN5SRC} ${MAN5}/aliases.${MAN5EXT}
--- 103,140 ----
  MAN8EXT=ifdef(`confMAN8EXT', `confMAN8EXT', `8')
  MAN8SRC=ifdef(`confMAN8SRC', `confMAN8SRC', `0')
  
+ ALL=	sendmail aliases.${MAN5SRC} mailq.${MAN1SRC} newaliases.${MAN1SRC} sendmail.${MAN8SRC}
+ 
+ all: ${ALL}
+ 
+ sendmail: ${BEFORE} ${OBJS}
+ 	${CC} -o sendmail ${LDOPTS} ${LIBDIRS} ${OBJS} ${LIBS}
+ 	cp /dev/null sendmail.st
+ 
+ undivert(3)
+ 
+ aliases.${MAN5SRC}: aliases.5
+ 	${NROFF} ${MANDOC} aliases.5 > aliases.${MAN5SRC}
+ 
+ mailq.${MAN1SRC}: mailq.1
+ 	${NROFF} ${MANDOC} mailq.1 > mailq.${MAN1SRC}
+ 
+ newaliases.${MAN1SRC}: newaliases.1
+ 	${NROFF} ${MANDOC} newaliases.1 > newaliases.${MAN1SRC}
+ 
+ sendmail.${MAN8SRC}: sendmail.8
+ 	${NROFF} ${MANDOC} sendmail.8 > sendmail.${MAN8SRC}
+ 
  install: install-sendmail install-docs
  
  install-sendmail: sendmail
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} sendmail ${BINDIR}
  	for i in ${LINKS}; do rm -f $$i; ln -s ${BINDIR}/sendmail $$i; done
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 444 sendmail.hf ${HFDIR}
  	${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 644 sendmail.st \
  	    ${STDIR}/sendmail.st
  
! install-docs: aliases.${MAN5SRC} mailq.${MAN1SRC} newaliases.${MAN1SRC} sendmail.${MAN8SRC}
  ifdef(`confNO_MAN_INSTALL', `dnl',
  `	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} sendmail.${MAN8SRC} ${MAN8}/sendmail.${MAN8EXT}
  	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} aliases.${MAN5SRC} ${MAN5}/aliases.${MAN5EXT}
***************
*** 141,147 ****
  	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} newaliases.${MAN1SRC} ${MAN1}/newaliases.${MAN1EXT}')
  
  clean:
! 	rm -f ${OBJS} sendmail aliases.0 mailq.0 newaliases.0 sendmail.0
  
  ################  Dependency scripts
  include(confBUILDTOOLSDIR/M4/depend/ifdef(`confDEPEND_TYPE', `confDEPEND_TYPE', `generic').m4)dnl
--- 142,148 ----
  	${INSTALL} -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} newaliases.${MAN1SRC} ${MAN1}/newaliases.${MAN1EXT}')
  
  clean:
! 	rm -f ${OBJS} sendmail aliases.${MAN5SRC} mailq.${MAN1SRC} newaliases.${MAN1SRC} sendmail.${MAN8SRC}
  
  ################  Dependency scripts
  include(confBUILDTOOLSDIR/M4/depend/ifdef(`confDEPEND_TYPE', `confDEPEND_TYPE', `generic').m4)dnl
diff -cr sendmail-8.9.0/src/README sendmail-8.9.1/src/README
*** sendmail-8.9.0/src/README	Tue May 19 16:36:01 1998
--- sendmail-8.9.1/src/README	Tue Jun 30 23:08:37 1998
***************
*** 8,14 ****
  # the sendmail distribution.
  #
  #
! #	@(#)README	8.198 (Berkeley) 5/19/98
  #
  
  This directory contains the source files for sendmail(TM).
--- 8,14 ----
  # the sendmail distribution.
  #
  #
! #	@(#)README	8.206 (Berkeley) 6/30/98
  #
  
  This directory contains the source files for sendmail(TM).
***************
*** 20,28 ****
  create an appropriate obj.* subdirectory so that multiplatform
  support works easily.
  
! 	**************************************************
! 	**  Read below for more details of Makefiles.	**
! 	**************************************************
  
  **************************************************************************
  **  IMPORTANT:  Read the appropriate paragraphs in the section on	**
--- 20,28 ----
  create an appropriate obj.* subdirectory so that multiplatform
  support works easily.
  
! 	**********************************************************
! 	**  Read below for more details on building sendmail.	**
! 	**********************************************************
  
  **************************************************************************
  **  IMPORTANT:  Read the appropriate paragraphs in the section on	**
***************
*** 178,184 ****
  | COMPILE FLAGS |
  +---------------+
  
! Whereever possible, I try to make sendmail pull in the correct
  compilation options needed to compile on various environments based on
  automatically defined symbols.  Some machines don't seem to have useful
  symbols available, requiring that a compilation flag be defined in
--- 178,184 ----
  | COMPILE FLAGS |
  +---------------+
  
! Wherever possible, I try to make sendmail pull in the correct
  compilation options needed to compile on various environments based on
  automatically defined symbols.  Some machines don't seem to have useful
  symbols available, requiring that a compilation flag be defined in
***************
*** 609,615 ****
  	Up to 8.6, sendmail tried to find the sendmail.cf file in the same
  	place as the vendors had put it, even when this was obviously
  	stupid.  As of 8.7, sendmail ALWAYS looks for /etc/sendmail.cf.
! 	Beginning the 8.10, sendmail will use /etc/mail/sendmail.cf.
  	You can get sendmail to use the stupid vendor .cf location by
  	adding -DUSE_VENDOR_CF_PATH during compilation, but this may break
  	support programs and scripts that need to find sendmail.cf.  You
--- 609,615 ----
  	Up to 8.6, sendmail tried to find the sendmail.cf file in the same
  	place as the vendors had put it, even when this was obviously
  	stupid.  As of 8.7, sendmail ALWAYS looks for /etc/sendmail.cf.
! 	Beginning with 8.10, sendmail will use /etc/mail/sendmail.cf.
  	You can get sendmail to use the stupid vendor .cf location by
  	adding -DUSE_VENDOR_CF_PATH during compilation, but this may break
  	support programs and scripts that need to find sendmail.cf.  You
***************
*** 617,629 ****
  	vendor location rather than changing the location in the sendmail
  	binary.
  
- ld: fatal: library -l44bsd: not found
- 	Most of the Makefiles include -l44bsd in the LIBS= definition;
- 	this is because several versions of BIND (4.9.0, 4.9.1, 4.9.2)
- 	require this library.  If you are running one of these versions,
- 	install this library.  Otherwise, just delete "-l44bsd" from the
- 	LIBS= line in the Makefile.
- 
  SunOS 4.x (Solaris 1.x)
  	You may have to use -lresolv on SunOS.  However, beware that
  	this links in a new version of gethostbyname that does not
--- 617,622 ----
***************
*** 662,668 ****
  	following changes:
  	* Don't use /usr/5bin in your PATH, but make /usr/5bin/uname
  	  available as "uname" command.
! 	* Use the defines "-DBSD4_3 -DNAMED_BIND=0" in the
  	  BuildTools/OS/SunOS.4.0, which is selected via the "uname" command.
  	I recommend to make available the db-library on the system first
  	(and change the Makefile to use this library).
--- 655,661 ----
  	following changes:
  	* Don't use /usr/5bin in your PATH, but make /usr/5bin/uname
  	  available as "uname" command.
! 	* Use the defines "-DBSD4_3 -DNAMED_BIND=0" in
  	  BuildTools/OS/SunOS.4.0, which is selected via the "uname" command.
  	I recommend to make available the db-library on the system first
  	(and change the Makefile to use this library).
***************
*** 687,693 ****
  	using a web search engine.
  
  Solaris 2.x (SunOS 5.x)
! 	To compile for Solaris, the Makefile chosen by Build must
  	include a SOLARIS definition which reflects the Solaris version
  	(i.e. -DSOLARIS=20400 for 2.4 or -DSOLARIS=20501 for 2.5.1).
  	If you are using gcc, make sure -I/usr/include is not used (or
--- 680,686 ----
  	using a web search engine.
  
  Solaris 2.x (SunOS 5.x)
! 	To compile for Solaris, the Makefile built by Build must
  	include a SOLARIS definition which reflects the Solaris version
  	(i.e. -DSOLARIS=20400 for 2.4 or -DSOLARIS=20501 for 2.5.1).
  	If you are using gcc, make sure -I/usr/include is not used (or
***************
*** 995,1000 ****
--- 988,996 ----
  	/etc/named.boot.
  		- sigh -
  
+ 	According to SCO, the m4 which ships with UnixWare 2.1.2 is broken.	
+ 	We recommend installing GNU m4 before attempting to build sendmail.
+ 
  DG/UX
  	Doug Anderson <dlander@afterlife.ncsc.mil> has successfully run
  	V8 on the DG/UX 5.4.2 and 5.4R3.x platforms under heavy usage.
***************
*** 1008,1014 ****
  
  Apollo DomainOS
  	If you are compiling on Apollo, you will have to create an empty
! 	file "unistd.h" and create a file "dirent.h" containing:
  
  		#include <sys/dir.h>
  		#define dirent	direct
--- 1004,1011 ----
  
  Apollo DomainOS
  	If you are compiling on Apollo, you will have to create an empty
! 	file "unistd.h" (for DomainOS 10.3 and earlier) and create a file
! 	"dirent.h" containing:
  
  		#include <sys/dir.h>
  		#define dirent	direct
***************
*** 1041,1047 ****
  	the flock() system call gives errors.  If you are running .14,
  	you must not use flock.  You can do this with -DHASFLOCK=0.
  
! 	Around the inclusion of bind-4.9.3 & linux libc-4.6.20, the
  	initialization of the _res structure changed.  If /etc/hosts.conf
  	was configured as "hosts, bind" the resolver code could return
  	"Name server failure" errors.  This is supposedly fixed in
--- 1038,1044 ----
  	the flock() system call gives errors.  If you are running .14,
  	you must not use flock.  You can do this with -DHASFLOCK=0.
  
! 	Around the inclusion of bind-4.9.3 & Linux libc-4.6.20, the
  	initialization of the _res structure changed.  If /etc/hosts.conf
  	was configured as "hosts, bind" the resolver code could return
  	"Name server failure" errors.  This is supposedly fixed in
***************
*** 1059,1078 ****
  	of libc between 4.4.4 and 4.7.0 (snprintf improves security, so
  	you want to use this if at all possible).
  
! 	NOTE ON LINUX & BIND:  By default, the Makefiles for linux include
! 	header files in /usr/local/include and libraries in /usr/local/lib.
! 	If you've installed BIND on your system, the header files typically
! 	end up in the search path and you need to add "-lresolv" to the
! 	LIBS line in your Makefile.  Really old versions may need to include
! 	"-l44bsd" as well (particularly if the link phase complains about
! 	missing strcasecmp, strncasecmp or strpbrk).  Complaints about an
! 	undefined reference to `__dn_skipname' in domain.o are a sure sign
! 	that you need to add -lresolv to LIBS.  Newer versions of linux
! 	are basically threaded BIND, so you may or may not see complaints
! 	if you accidentally mix BIND headers/libraries with virginal libc.
! 	If you have BIND headers in /usr/local/include (resolv.h, etc)
! 	you *should* be adding -lresolv to LIBS.  Data structures may change
! 	and you'd be asking for a core dump.
  
  AIX 3.x
  	This version of sendmail does not support MB, MG, and MR resource
--- 1056,1076 ----
  	of libc between 4.4.4 and 4.7.0 (snprintf improves security, so
  	you want to use this if at all possible).
  
! 	NOTE ON LINUX & BIND:  By default, the Makefile generated for Linux
! 	includes header files in /usr/local/include and libraries in
! 	/usr/local/lib.  If you've installed BIND on your system, the header
! 	files typically end up in the search path and you need to add
! 	"-lresolv" to the LIBS line in your Makefile.  Really old versions
! 	may need to include "-l44bsd" as well (particularly if the link phase
! 	complains about missing strcasecmp, strncasecmp or strpbrk).
! 	Complaints about an undefined reference to `__dn_skipname' in
! 	domain.o are a sure sign that you need to add -lresolv to LIBS.
! 	Newer versions of Linux are basically threaded BIND, so you may or
! 	may not see complaints if you accidentally mix BIND
! 	headers/libraries with virginal libc.  If you have BIND headers in
! 	/usr/local/include (resolv.h, etc) you *should* be adding -lresolv
! 	to LIBS.  Data structures may change and you'd be asking for a
! 	core dump.
  
  AIX 3.x
  	This version of sendmail does not support MB, MG, and MR resource
***************
*** 1140,1150 ****
  	on many files.  You can ignore these.
  
  System V Release 4 Based Systems
! 	There is a single Makefile that is intended for all SVR4-based
  	systems (built from BuildTools/OS/SVR4).  It defines __svr4__,
  	which is predefined by some compilers.  If your compiler already
  	defines this compile variable, you can delete the definition from
! 	the Makefile.
  
  	It's been tested on Dell Issue 2.2.
  
--- 1138,1149 ----
  	on many files.  You can ignore these.
  
  System V Release 4 Based Systems
! 	There is a single BuildTools OS that is intended for all SVR4-based
  	systems (built from BuildTools/OS/SVR4).  It defines __svr4__,
  	which is predefined by some compilers.  If your compiler already
  	defines this compile variable, you can delete the definition from
! 	the generated Makefile or create a BuildTools/Site/site.config.m4
! 	file.
  
  	It's been tested on Dell Issue 2.2.
  
***************
*** 1208,1218 ****
  	See sendmail/contrib/AmdahlUTS.patch for the patches necessary
  	to get BIND 4.9 compiled for UTS.
  
! UnixWare 2.0
  	According to Alexander Kolbasov <sasha@unitech.gamma.ru>,
  	the m4 on UnixWare 2.0 (still in Beta) will core dump on the
  	config files.  GNU m4 and the m4 from UnixWare 1.x both work.
  
  UNICOS 8.0.3.4
  	Some people have reported that the -O flag on UNICOS can cause
  	problems.  You may want to turn this off if you have problems
--- 1207,1226 ----
  	See sendmail/contrib/AmdahlUTS.patch for the patches necessary
  	to get BIND 4.9 compiled for UTS.
  
! UnixWare
  	According to Alexander Kolbasov <sasha@unitech.gamma.ru>,
  	the m4 on UnixWare 2.0 (still in Beta) will core dump on the
  	config files.  GNU m4 and the m4 from UnixWare 1.x both work.
  
+ 	According to Larry Rosenman <ler@lerami.lerctr.org>:
+ 
+ 		UnixWare 2.1.[23]'s m4 chokes (not obviously) when
+ 		processing the 8.9.0 cf files. 
+  
+ 		I had a LOCAL_RULE_0 that wound up AFTER the
+ 		SBasic_check_rcpt rules using the SCO supplied M4.
+ 		GNU M4 works fine. 
+ 
  UNICOS 8.0.3.4
  	Some people have reported that the -O flag on UNICOS can cause
  	problems.  You may want to turn this off if you have problems
***************
*** 1296,1304 ****
  
  TCP Wrappers
  	If you are using -DTCPWRAPPERS to get TCP Wrappers support you will
! 	also need to install libwrap.a and modify the Makefile to include
! 	-lwrap in the LIBS line (make sure that INCDIRS and LIBDIRS point
! 	to where the tcpd.h and libwrap.a can be found).
  
  	TCP Wrappers is available on ftp.win.tue.nl in /pub/security;
  	grab tcp_wrappers_<VER>.tar.gz (where <VER> is the highest
--- 1304,1313 ----
  
  TCP Wrappers
  	If you are using -DTCPWRAPPERS to get TCP Wrappers support you will
! 	also need to install libwrap.a and modify your site.config.m4 file
! 	or the generated Makefile to include -lwrap in the LIBS line
! 	(make sure that INCDIRS and LIBDIRS point to where the tcpd.h and
! 	libwrap.a can be found).
  
  	TCP Wrappers is available on ftp.win.tue.nl in /pub/security;
  	grab tcp_wrappers_<VER>.tar.gz (where <VER> is the highest
***************
*** 1413,1418 ****
--- 1422,1428 ----
  		when opening or creating files.
  savemail.c	Routines which save the letter on processing errors.
  sendmail.h	Main header file for sendmail.
+ snprintf.c	Routines to manipulate strings but prevent buffer overflows.
  srvrsmtp.c	Routines to implement server SMTP.
  stab.c		Routines to manage the symbol table.
  stats.c		Routines to collect and post the statistics.
***************
*** 1429,1432 ****
  
  Eric Allman
  
! (Version 8.198, last update 5/19/98 15:08:25)
--- 1439,1442 ----
  
  Eric Allman
  
! (Version 8.206, last update 6/30/98 22:08:36)
